nl.tudelft.simulation.examples.dsol.timesharedcomputer

## Class Computer

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.timesharedcomputer.Computer

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>

    public class Computer
    extends Object
    implements DSOLModel<Double,Double,SimTimeDouble>

The Computer example as published in Simulation Modeling and Analysis by A.M. Law & W.D. Kelton section 1.4 and 2.4..

Copyright (c) 2003-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Computer.ExitCounter` A counter which stops after a predifined number of jobs.

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Field Summary

Fields
`static long` `NUMBER_OF_JOBS` the number of jobs.
`static long` `NUMBER_OF_TERMINALS` the number of terminals.

### Constructor Summary

Constructors
Constructor and Description
`Computer()` constructs a new Computer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> modelSimulator)`
`SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NUMBER_OF_JOBS

    public static final long NUMBER_OF_JOBS

the number of jobs.

See Also:
  Constant Field Values

#### NUMBER_OF_TERMINALS

    public static final long NUMBER_OF_TERMINALS

the number of terminals.

See Also:
  Constant Field Values

### Constructor Detail

#### Computer

    public Computer()

constructs a new Computer.

### Method Detail

#### constructModel

    public void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> modelSimulator)
                        throws SimRuntimeException

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Throws:
  `SimRuntimeException`

#### getSimulator

    public SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`
Returns:
  the simulator